WordPress.org

Plugin Directory

SIS Google Map

Display custom Google Map. Customize google map without any programming skills.

[Note: This version 2.0.0 is different from the previous version 1.0. And previous shortcode will get the default value of current version. So after upgrading the plugin update your code. It will just take a minute.]

Features
  • Unlimited Maps at same page or site.
  • Five predefined styles.
  • TinyMCE button for better user experience.
  • Easy to change Width, Height and Zoom Level

Usages

After installing and activating the plugin, You will get a TinyMCE button at WordPress editor. Go to WordPress editor on page or post and put your cursor where you want to insert map and then just click on map icon, a pop-up window will be opened. Fill all fields (Latitude, Longitude, Width, Height, Zoom Level and Map Style) and click on "OK"

Latitude & Longitude

You need Latitude and Longitude coordinate for map. You may find longitude and latitude from http://universimmedia.pagesperso-orange.fr/geo/loc.htm. Default Latitude is 37.42200 and Default Longitude is -122.08395 that is Googleplex.

Width

Give the map width at pixel or percentage. Default value is 100%

Height

Give the map height at pixel. Default value is 350px

Zoom Level

Give the map zoom level between 0-21. Highest value zooms in and lowest zooms out. Default value is 15

Map Style

Choose predefined map styles from the list. Available options are None, Greyscale, Subtle Grayscale, Bright Bubbly, Mixed and Pale Dawn. Default value is "None"

Without using TinyMCE button you can also write your shortcode manually. Just paste the following shortcode where you want to display google map and change the attributes value as your need.

[sis_google_map lat="" long="" width="" height="" style="" zoom=""]

[Note: here style value will be --- none, mixed, pale_dawn, greyscale, bright_bubbly, subtle_grayscale]

Example with default value:

[sis_google_map lat="37.42200" long="-122.08395" width="100%" height="350px" style="none" zoom="15"]

Requires: 3.0 or higher
Compatible up to: 4.2.3
Last Updated: 2015-5-14
Active Installs: 90+

Ratings

5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1